ContentResource (Velocity 1.7 API)
Keywords: org.apache.velocity.runtime.resource.ContentResource class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.resource
Class ContentResource

    java.lang.Object
      org.apache.velocity.runtime.resource.Resource
          org.apache.velocity.runtime.resource.ContentResource

public class ContentResource
extends Resource

This class represent a general text resource that may have been retrieved from any number of possible sources. Also of interest is Velocity's `Template` `Resource`.

Version:
  $Id: ContentResource.java 687177 2008-08-19 22:00:32Z nbubna $
Author:
  Jason van Zyl, Geir Magnusson Jr.

Field Summary

Fields inherited from class org.apache.velocity.runtime.resource.Resource
`data, encoding, lastModified, MILLIS_PER_SECOND, modificationCheckInterval, name, nextCheck, resourceLoader, rsvc, type`

Constructor Summary
`ContentResource()` Default empty constructor

Method Summary
`boolean` | `process()` Pull in static content and store it.

Methods inherited from class org.apache.velocity.runtime.resource.Resource
`getData, getEncoding, getLastModified, getName, getResourceLoader, getType, isSourceModified, requiresChecking, setData, setEncoding, setLastModified, setModificationCheckInterval, setName, setResourceLoader, setRuntimeServices, setType, touch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentResource

    public ContentResource()

  Default empty constructor

Method Detail

### process

    public boolean process()
                    throws ResourceNotFoundException

  Pull in static content and store it.

  Specified by:
    `process` in class `Resource`
  Returns:
    True if everything went ok.
  Throws:
    `ResourceNotFoundException` - Resource could not be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.